Package org.eclipse.m2m.atl.emftvm

## Enum ModelDeclarationTag

- java.lang.Object
- - java.lang.Enum<ModelDeclarationTag>
  - - org.eclipse.m2m.atl.emftvm.ModelDeclarationTag

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ModelDeclarationTag>`, `org.eclipse.emf.common.util.Enumerator`

    public enum ModelDeclarationTag
    extends java.lang.Enum<ModelDeclarationTag>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Model Declaration Tag', and utility methods for working with them.

See Also:
  `EmftvmPackage.getModelDeclarationTag()`

### Enum Constant Summary

Enum Constants
`INOUT` The 'Inout' literal object.
`INPUT` The 'Input' literal object.
`OUTPUT` The 'Output' literal object.

### Field Summary

Fields
`static int` `INOUT_VALUE` The 'Inout' literal value.
`static int` `INPUT_VALUE` The 'Input' literal value.
`static int` `OUTPUT_VALUE` The 'Output' literal value.
`static java.util.List<ModelDeclarationTag>` `VALUES` A public read-only list of all the 'Model Declaration Tag' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ModelDeclarationTag` `get​(int value)` Returns the 'Model Declaration Tag' literal with the specified integer value.
`static ModelDeclarationTag` `get​(java.lang.String literal)` Returns the 'Model Declaration Tag' literal with the specified literal value.
`static ModelDeclarationTag` `getByName​(java.lang.String name)` Returns the 'Model Declaration Tag' literal with the specified name.
`java.lang.String` `getLiteral()` Returns the literal string value.
`java.lang.String` `getName()` Returns the literal name.
`int` `getValue()` Returns the literal integer value.
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ModelDeclarationTag` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModelDeclarationTag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INPUT

    public static final ModelDeclarationTag INPUT

The 'Input' literal object.

See Also:
  `INPUT_VALUE`

#### INOUT

    public static final ModelDeclarationTag INOUT

The 'Inout' literal object.

See Also:
  `INOUT_VALUE`

#### OUTPUT

    public static final ModelDeclarationTag OUTPUT

The 'Output' literal object.

See Also:
  `OUTPUT_VALUE`

### Field Detail

#### INPUT_VALUE

    public static final int INPUT_VALUE

The 'Input' literal value.

If the meaning of 'Input' literal object isn't clear, there really should be more of a description here...

See Also:
  `INPUT`, Constant Field Values

#### INOUT_VALUE

    public static final int INOUT_VALUE

The 'Inout' literal value.

If the meaning of 'Inout' literal object isn't clear, there really should be more of a description here...

See Also:
  `INOUT`, Constant Field Values

#### OUTPUT_VALUE

    public static final int OUTPUT_VALUE

The 'Output' literal value.

If the meaning of 'Output' literal object isn't clear, there really should be more of a description here...

See Also:
  `OUTPUT`, Constant Field Values

#### VALUES

    public static final java.util.List<ModelDeclarationTag> VALUES

A public read-only list of all the 'Model Declaration Tag' enumerators.

### Method Detail

#### values

    public static ModelDeclarationTag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ModelDeclarationTag c : ModelDeclarationTag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ModelDeclarationTag valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static ModelDeclarationTag get​(java.lang.String literal)

Returns the 'Model Declaration Tag' literal with the specified literal value.

Parameters:
  `literal` - the literal string value
  `literal` - the literal.
Returns:
  the 'Model Declaration Tag' literal with the specified literal value.

#### getByName

    public static ModelDeclarationTag getByName​(java.lang.String name)

Returns the 'Model Declaration Tag' literal with the specified name.

Parameters:
  `name` - the literal name
  `name` - the name.
Returns:
  the 'Model Declaration Tag' literal with the specified name.

#### get

    public static ModelDeclarationTag get​(int value)

Returns the 'Model Declaration Tag' literal with the specified integer value.

Parameters:
  `value` - the literal integer value
  `value` - the integer value.
Returns:
  the 'Model Declaration Tag' literal with the specified integer value.

#### getValue

    public int getValue()

Returns the literal integer value.

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal integer value.

#### getName

    public java.lang.String getName()

Returns the literal name.

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal name.

#### getLiteral

    public java.lang.String getLiteral()

Returns the literal string value.

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal string value.

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<ModelDeclarationTag>`
Returns:
  the literal value of the enumerator, which is its string representation.